var $ = window.jQuery;

function loadCheck() {
    var incomplete = $('img').filter(function() {
        var img = $(this);
        if (img.attr('flag') === 'tex' || img.attr('data-formula')) {
            return !(img.hasClass('formula-loaded')  && this.naturalHeight && this.naturalWidth);
        }
        return !(this.complete && this.naturalHeight && this.naturalWidth);
    }).length + $('span[class*=img]').filter(function() {
        return !$(this).hasClass('formula-loaded');
    }).length;

    if (incomplete === 0) {
        window.JSInterface.onQueryDetailPageLoadFinished();
    } else {
        setTimeout(loadCheck, 100);
    }
}

$('span[class*=img]').each(function() {
    var bg = this.style.backgroundImage,
        me = $(this);
    if (bg) {
        var img = $('<img>');
        img.attr('src', bg.replace(/url\(['"]?(.*?)['"]?\)/i, '$1'));
        img.on('load', function() {
            $(this).remove();
            me.addClass('formula-loaded');
        });
    } else {
        me.addClass('formula-loaded');
    }
});

loadCheck();